For Developers
List Team Roles
GET https://ed.link/api/v2/teams/:team_id/roles
Returns all roles available to the team, including custom roles and Edlink-managed system defaults.
Permissions
Requires the team_roles.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/roles`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "3b7d4bad-9bdd-2b0d-7b3d-cb6d9b1deb4d",
"name": "Integration Manager",
"description": "Full access to configure and monitor school integrations",
"permissions": [
"integrations.read",
"integrations.create",
"integrations.update"
],
"managed": false
}
]
}
